in mat4		atrModelViewProjectionMatrix;
in vec3		atrPosition;
in vec2		atrTextureCoordinates;
in vec4		atrColor;	//	premultiplied alpha;  typically (α,α,α,α)

out vec2	varTextureCoordinates;
out vec4	varColor;	//	premultiplied alpha;  typically (α,α,α,α)


void main()
{
	gl_Position				= atrModelViewProjectionMatrix * vec4(atrPosition, 1.0);
	varTextureCoordinates	= atrTextureCoordinates;
	varColor				= atrColor;
}
